import unittest

from tmc import points
from tmc.utils import load_module, reload_module, get_stdout

exercise = 'src.emoticon'
@points('1.emoticon')
class EmoticonTest(unittest.TestCase):
    @classmethod
    def setUpClass(cls):
        cls.module = load_module(exercise, 'en')

    def test_print_emoticon(self):
        reload_module(self.module)
        output = get_stdout()
        self.assertTrue(output.startswith(":"), "Se till att du inte skriver ut extra tecken innan smiley börjar.")
        self.assertTrue(output.endswith(")"), "Se till att du inte skriver ut extra tecken efter att smiley är slut.")
        self.assertEqual(output, ":-)", "Smiley är missbildad.")

if __name__ == '__main__':
    unittest.main()
    